org.eclipse.ease.sign

## Class ScriptSignatureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.ease.sign.ScriptSignatureException

All Implemented Interfaces:
  java.io.Serializable

    public class ScriptSignatureException
    extends java.lang.Exception

Exception Class for handling errors with custom messages.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScriptSignatureException()`
`ScriptSignatureException(java.lang.String arg0)`
`ScriptSignatureException(java.lang.String arg0, java.lang.Throwable arg1)`
`ScriptSignatureException(java.lang.String message, java.lang.Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
`ScriptSignatureException(java.lang.Throwable arg0)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScriptSignatureException

    public ScriptSignatureException()

See Also:
  `Exception.Exception()`

#### ScriptSignatureException

    public ScriptSignatureException(java.lang.String arg0)

See Also:
  `Exception.Exception(String)`

#### ScriptSignatureException

    public ScriptSignatureException(java.lang.Throwable arg0)

See Also:
  `Exception.Exception(Throwable)`

#### ScriptSignatureException

    public ScriptSignatureException(java.lang.String arg0,
                                    java.lang.Throwable arg1)

See Also:
  `Exception.Exception(String, Throwable)`

#### ScriptSignatureException

    public ScriptSignatureException(java.lang.String message,
                                    java.lang.Throwable cause,
                                    boolean enableSuppression,
                                    boolean writableStackTrace)

See Also:
  `Exception.Exception(String, Throwable, boolean, boolean)`